Accounts & connections · Accounts
Checks account health.
https://api.pozy.ai/v1/accounts/{accountId}/healthGuides: Connecting accounts, Account health, Scopes and permissions
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/health" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/health", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/health",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
accountIdstringplatformstringintegrationLanestringOne of
business,developer.sendCapobjectlimitintegerusedintegerresetsAtstring (date-time)
pushstringOne of
active,pending,failed,not_applicable.usernamestringdisplayNamestringstatusstringOne of
healthy,warning,error.tokenStatusobjectvalidbooleanexpiresAtstring (date-time)expiresInstringneedsRefreshboolean
permissionsobjectpostingarray of object3 child fields
scopestringgrantedbooleanrequiredboolean
analyticsarray of object3 child fields
scopestringgrantedbooleanrequiredboolean
optionalarray of object3 child fields
scopestringgrantedbooleanrequiredboolean
canPostbooleancanFetchAnalyticsbooleanmissingRequiredarray of string
issuesarray of stringrecommendationsarray of stringownerUserIdstringdisconnectReasonstringCan be null.
disconnectionTypestringOne of
intentional,unintentional. Can be null.unhealthySincestring (date-time)Can be null.
analyticsSyncobjectstatusstringOne of
ok,failing,stalled,never_synced.lastSyncedAtstring (date-time)Can be null.
messagingRestrictionobjectCan be null.
codeintegerCan be null.
subcodeintegerCan be null.
messagestringCan be null.
firstSeenAtstring (date-time)lastSeenAtstring (date-time)pausedUntilstring (date-time)Can be null.
platformConnectionobjectstatusstringOne of
connected,disconnected,unknown.checkedAtstring (date-time)phoneStatusstringCan be null.
metaErrorobjectCan be null.
3 child fields
codeintegersubcodeintegermessagestring
inboundWebhookSubscribedbooleanCan be null.
{
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "instagram",
"integrationLane": "business",
"sendCap": {
"limit": 1,
"used": 1,
"resetsAt": "2026-10-02T09:00:00.000Z"
},
"push": "active",
"username": "acme",
"displayName": "Acme",
"status": "healthy",
"tokenStatus": {
"valid": true,
"expiresAt": "2026-10-02T09:00:00.000Z",
"expiresIn": "string",
"needsRefresh": true
},
"permissions": {
"posting": [
{
"scope": "string",
"granted": true,
"required": true
}
],
"analytics": [
{
"scope": "string",
"granted": true,
"required": true
}
],
"optional": [
{
"scope": "string",
"granted": true,
"required": true
}
],
"canPost": true,
"canFetchAnalytics": true,
"missingRequired": [
"string"
]
},
"issues": [
"string"
],
"recommendations": [
"string"
],
"ownerUserId": "690c200e58fe030fdf30059f",
"disconnectReason": "string",
"disconnectionType": "intentional",
"unhealthySince": "2026-10-02T09:00:00.000Z",
"analyticsSync": {
"status": "ok",
"lastSyncedAt": "2026-10-02T09:00:00.000Z"
},
"messagingRestriction": {
"code": 1,
"subcode": 1,
"message": "Hello from Pozy",
"firstSeenAt": "2026-10-02T09:00:00.000Z",
"lastSeenAt": "2026-10-02T09:00:00.000Z",
"pausedUntil": "2026-10-02T09:00:00.000Z"
},
"platformConnection": {
"status": "connected",
"checkedAt": "2026-10-02T09:00:00.000Z",
"phoneStatus": "+14155550123",
"metaError": {
"code": 1,
"subcode": 1,
"message": "Hello from Pozy"
},
"inboundWebhookSubscribed": true
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.